<?php

final class SemiStructuredObjectInstanceTransaction
  extends PhabricatorModularTransaction {

  public function getApplicationName() {
    return 'semistructured';
  }

  public function getApplicationTransactionType() {
    return SemiStructuredObjectInstancePHIDType::TYPECONST;
  }

  public function getApplicationTransactionCommentObject() {
    return new SemiStructuredObjectInstanceTransactionComment();
  }

  public function getBaseTransactionClass() {
    return 'SemiStructuredObjectInstanceTransactionType';
  }

}
